Subject: RE: Labor Law Timecard for W.E. 11/22/2015
From: Rita Kurtz <[email-masked]>
To: Michael B <[email-masked]>
Cc: Kelly Parker <[email-masked]>, Crystal Delang <[email-masked]>
Date: Mon, 23 Nov 2015 13:31:48 -0500

Hi Mike,

With the holiday this week, we have a escalated time line for payroll.  The sooner you can get this to us, the better.  I apologize if this was not communicated to you previously.  If you have any questions, please let me know.

Thanks,
Rita

From: Michael B [mailto:[email-masked]]
Sent: Monday, November 23, 2015 12:11 PM
To: Rita Kurtz
Cc: Kelly Parker; Crystal Delang
Subject: Re: Labor Law Timecard for W.E. 11/22/2015

No problem Rita. I usually don't start the payroll until Monday morning even and will try and have it completed by the end of the day each Monday. Periodically I will do it on a weekend when there is a holiday that falls on a Monday or Tuesday. Starting on this now and plan on having it to you by 5ish and sooner if possible.
Thank you,
Michael B
LLPS

From: Rita Kurtz<mailto:[email-masked]>
Sent: Saturday, November 21, 2015 11:01 AM
To: [email-masked]<mailto:[email-masked]>
Cc: Kelly Parker<mailto:[email-masked]>
Subject: Labor Law Timecard for W.E. 11/22/2015

Good Morning Mike,

Attached is the copy of the timecard for week ending 11/22/2015.  I apologize for the delinquency in getting this to you and assure you it will be on time going forward.  If you have any questions, please let me know.

Have a great weekend!

Thanks,
Rita

Rita Kurtz
Service Manager, Ann Arbor
(888) JOB-TEAM